openapi: 3.0.1
info:
  title: ""
  description: ""
  version: ""
servers:
- url: http://localhost:7776/sample/openapi
paths:
  /v2/todos:
    post:
      summary: Create a ToDo
      description: "This service creates a ToDo item."
      operationId: createToDo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createtodo_req'
        required: true
      responses:
        200:
          description: Success response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createtodo_rpy'
      x-codegen-request-body-name: body
components:
  schemas:
    createtodo_req:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
    createtodo_rpy:
      type: object
      properties:
        id:
          type: string
